org.eclipse.jface.text

## Class DocumentPartitioningChangedEvent

- java.lang.Object
- - org.eclipse.jface.text.DocumentPartitioningChangedEvent

    public class DocumentPartitioningChangedEvent
    extends Object

Event describing the change of document partitionings.

Since:
  3.0
See Also:
  `IDocumentExtension3`

### Constructor Summary

Constructors
Constructor and Description
`DocumentPartitioningChangedEvent(IDocument document)` Creates a new document partitioning changed event for the given document.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getChangedPartitionings()` Returns the set of changed partitionings.
`IRegion` `getChangedRegion(String partitioning)` Returns the changed region of the given partitioning or `null` if the given partitioning did not change.
`IRegion` `getCoverage()` Returns the coverage of this event.
`IDocument` `getDocument()` Returns the changed document.
`boolean` `isEmpty()` Returns `true` if the set of changed partitionings is empty, `false` otherwise.
`void` `setPartitionChange(String partitioning, int offset, int length)` Sets the specified range as changed region for the given partitioning.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentPartitioningChangedEvent

    public DocumentPartitioningChangedEvent(IDocument document)

Creates a new document partitioning changed event for the given document. Initially this event is empty, i.e. does not describe any change.

Parameters:
  `document` - the changed document

### Method Detail

#### getDocument

    public IDocument getDocument()

Returns the changed document.

Returns:
  the changed document

#### getChangedRegion

    public IRegion getChangedRegion(String partitioning)

Returns the changed region of the given partitioning or `null` if the given partitioning did not change.

Parameters:
  `partitioning` - the partitioning
Returns:
  the changed region of the given partitioning or `null`

#### getChangedPartitionings

    public String[] getChangedPartitionings()

Returns the set of changed partitionings.

Returns:
  the set of changed partitionings

#### setPartitionChange

    public void setPartitionChange(String partitioning,
                                   int offset,
                                   int length)

Sets the specified range as changed region for the given partitioning.

Parameters:
  `partitioning` - the partitioning
  `offset` - the region offset
  `length` - the region length

#### isEmpty

    public boolean isEmpty()

Returns `true` if the set of changed partitionings is empty, `false` otherwise.

Returns:
  `true` if the set of changed partitionings is empty

#### getCoverage

    public IRegion getCoverage()

Returns the coverage of this event. This is the minimal region that contains all changed regions of all changed partitionings.

Returns:
  the coverage of this event